#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9051824d, "module_layout" },
	{ 0xa3ad7031, "kmalloc_caches" },
	{ 0x4034be17, "__SCT__might_resched" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{  0xe42cc, "param_ops_int" },
	{ 0x3502b90f, "snd_pcm_period_elapsed" },
	{ 0x157ba655, "usb_init_urb" },
	{ 0x1fb4e589, "usb_kill_urb" },
	{ 0xf86d5570, "param_ops_bool" },
	{ 0x79e7f439, "snd_rawmidi_set_ops" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7f1185aa, "snd_card_disconnect" },
	{ 0x2b8bd77e, "snd_rawmidi_new" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x4f8582a2, "input_set_abs_params" },
	{ 0xaf5d1290, "input_event" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c317884, "param_ops_charp" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xd084b305, "_dev_warn" },
	{ 0xc6bd0dff, "snd_pcm_set_managed_buffer_all" },
	{ 0x9c71499e, "usb_string" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x610f12bf, "usb_deregister" },
	{ 0xa16cf48f, "snd_pcm_set_ops" },
	{ 0x1c64882e, "usb_set_interface" },
	{ 0x38318e03, "_dev_err" },
	{ 0xc69a546b, "snd_card_set_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7a5110aa, "usb_urb_ep_type_check" },
	{ 0x307e5f3b, "snd_card_new" },
	{ 0x31906926, "usb_submit_urb" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x935c09e8, "usb_reset_device" },
	{ 0x3c993183, "input_register_device" },
	{ 0xf1914440, "usb_bulk_msg" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xec3c87c4, "snd_ctl_new1" },
	{ 0xc49e9a62, "input_free_device" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x128f295a, "kmem_cache_alloc_trace" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb72547d1, "__dynamic_dev_dbg" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x4825e296, "__wake_up" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x37a0cba, "kfree" },
	{ 0xc71578df, "input_unregister_device" },
	{ 0xf1c20bd5, "param_array_ops" },
	{ 0x4746396b, "usb_register_driver" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x295db853, "snd_card_free" },
	{ 0xded0d39b, "snd_card_register" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcdaf76cb, "snd_pcm_new" },
	{ 0x5de4c76f, "snd_ctl_add" },
	{ 0x615885fc, "snd_rawmidi_transmit" },
	{ 0x69255f54, "snd_pcm_hw_limit_rates" },
	{ 0xf26a0343, "usb_free_urb" },
	{ 0xa562e2e1, "snd_rawmidi_receive" },
	{ 0x5203727e, "usb_alloc_urb" },
	{ 0x4794efb3, "input_allocate_device" },
};

MODULE_INFO(depends, "snd-pcm,usbcore,snd-rawmidi,snd");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DB42534C44C061BAB772F92");

MODULE_INFO(suserelease, "SLE15-SP5");
